<?php
function displayChildren($page, $current, $startmenu = true, $limits = null) {
	if ($limits != null && array_key_exists($page->slug, $limits)) {
		$arr = array('order' => 'position ASC, published_on DESC', 'limit' => $limits[$page->slug]);
	} else
		$arr = array('order' => 'position ASC, published_on DESC');
	if ($page && count($page->children()) > 0) {
		echo ($startmenu) ? '<ul>' : '';
		foreach($page->children($arr) as $menu) :
			echo '<li'.(in_array($menu->slug, explode('/', $current->url)) ? ' class="current"': null).'>'.$menu->link($menu->title); 
			displayChildren($menu, $current, true, $limits);
			echo '</li>';
			endforeach;
		echo ($startmenu) ? '</ul>' : '';
	}
}
?>
